For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI reference
Get startedAPI reference
  • Agent Handler
      • GETList Application Credentials
      • POSTCreate Application Credential
      • GETGet Application Credential
      • DELDelete Application Credential
      • PATCHUpdate Application Credential
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerApplication Credentials

Create Application Credential

POST
https://ah-api.merge.dev/api/v1/application-credentials
POST
/api/v1/application-credentials
$curl -X POST https://ah-api.merge.dev/api/v1/application-credentials \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "connector_slug": "jira",
> "client_id": "abc123",
> "client_secret": "secret",
> "external_id": "acme-corp"
>}'
201Create with external_id
1{
2 "id": "3c90c3c0-6d46-4b50-8888-8dd25736052f",
3 "connector_slug": "jira",
4 "client_id": "abc123",
5 "created_at": "2024-01-15T10:30:00Z",
6 "modified_at": "2024-01-15T10:30:00Z",
7 "external_id": "acme-corp",
8 "oauth2_scopes_override": null,
9 "oauth2_user_scopes_override": null,
10 "oauth2_optional_scopes_override": null
11}
Creates an OAuth application credential for a connector.
Was this page helpful?
Previous

List Application Credentials

Next

Get Application Credential

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Request

This endpoint expects an object.
connector_slugstringRequired<=255 characters
Slug of the connector to create an OAuth app for
client_idstringRequired<=255 characters
OAuth client ID
client_secretstring or nullOptional<=255 characters
OAuth client secret
external_idstring or nullOptional

Optional external identifier for the application credential. Must contain only alphanumeric characters, hyphens, and underscores (max 128 characters).

oauth2_scopes_overridestring or nullOptional<=2048 characters
Override for OAuth2 scopes
oauth2_user_scopes_overridestring or nullOptional<=2048 characters
Override for OAuth2 user scopes
oauth2_optional_scopes_overridestring or nullOptional<=2048 characters
Override for OAuth2 optional scopes

Response

idstringRead-onlyformat: "uuid"
Unique identifier for the application credential
connector_slugstringRead-only
Slug of the connector
client_idstringRead-only
OAuth client ID
created_atdatetimeRead-only
When the application credential was created
modified_atdatetimeRead-only
When the application credential was last modified
external_idstring or nullRead-only
External identifier for the application credential
oauth2_scopes_overridestring or nullRead-only
OAuth2 scopes override
oauth2_user_scopes_overridestring or nullRead-only
OAuth2 user scopes override
oauth2_optional_scopes_overridestring or nullRead-only
OAuth2 optional scopes override